package com.gh.gamecenter.feature.entity

import com.google.gson.annotations.SerializedName

data class OrderEntity(
    @SerializedName("good_id")
    private val _goodId: String? = null,
    @SerializedName("set_menu_name")
    private val _setMenuName: String? = null,
    @SerializedName("payment_amount")
    private val _paymentAmount: String? = null,
    @SerializedName("type")
    private val _type: String = ""
) {

    val goodId: String
        get() = _goodId ?: ""

    val setMenuName: String
        get() = _setMenuName ?: ""

    val paymentAmount: String
        get() = _paymentAmount ?: ""

    val type: String
        get() = _type ?: TYPE_USER

    companion object {
        const val TYPE_USER = "gjonline_vip"
        const val TYPE_TIMING = "duration_vip"
    }
}